# Class MethodType

java.lang.Object
java.lang.invoke.MethodType

public class MethodType extends Object
Deprecated.
these classes are used internally for Lambda compatibility

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodType()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MethodType`
  `appendParameterTypes(Class<?>... a)`
  Deprecated.
  `MethodType`
  `appendParameterTypes(List<Class<?>> a)`
  Deprecated.
  `MethodType`
  `changeParameterType(int a, Class<?> b)`
  Deprecated.
  `MethodType`
  `changeReturnType(Class<?> a)`
  Deprecated.
  `MethodType`
  `dropParameterTypes(int a, int b)`
  Deprecated.
  `MethodType`
  `erase()`
  Deprecated.
  `MethodType`
  `generic()`
  Deprecated.
  `static MethodType`
  `genericMethodType(int a)`
  Deprecated.
  `static MethodType`
  `genericMethodType(int a, boolean b)`
  Deprecated.
  `boolean`
  `hasPrimitives()`
  Deprecated.
  `boolean`
  `hasWrappers()`
  Deprecated.
  `MethodType`
  `insertParameterTypes(int a, Class<?>... b)`
  Deprecated.
  `MethodType`
  `insertParameterTypes(int a, List<Class<?>> b)`
  Deprecated.
  `static MethodType`
  `methodType(Class<?> a)`
  Deprecated.
  `static MethodType`
  `methodType(Class<?> a, Class<?> b)`
  Deprecated.
  `static MethodType`
  `methodType(Class<?> a, Class<?>[] b)`
  Deprecated.
  `static MethodType`
  `methodType(Class<?> a, Class<?> b, Class<?>... c)`
  Deprecated.
  `static MethodType`
  `methodType(Class<?> a, MethodType b)`
  Deprecated.
  `static MethodType`
  `methodType(Class<?> a, List<Class<?>> b)`
  Deprecated.
  `Class<?>[]`
  `parameterArray()`
  Deprecated.
  `int`
  `parameterCount()`
  Deprecated.
  `List<Class<?>>`
  `parameterList()`
  Deprecated.
  `Class<?>`
  `parameterType(int a)`
  Deprecated.
  `Class<?>`
  `returnType()`
  Deprecated.
  `MethodType`
  `unwrap()`
  Deprecated.
  `MethodType`
  `wrap()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MethodType

    public MethodType()
    Deprecated.

- ## Method Details

  - ### methodType

    public static MethodType methodType(Class<?> a, Class<?>[] b)
    Deprecated.

  - ### methodType

    public static MethodType methodType(Class<?> a, List<Class<?>> b)
    Deprecated.

  - ### methodType

    public static MethodType methodType(Class<?> a, Class<?> b, Class<?>... c)
    Deprecated.

  - ### methodType

    public static MethodType methodType(Class<?> a)
    Deprecated.

  - ### methodType

    public static MethodType methodType(Class<?> a, Class<?> b)
    Deprecated.

  - ### methodType

    public static MethodType methodType(Class<?> a, MethodType b)
    Deprecated.

  - ### genericMethodType

    public static MethodType genericMethodType(int a, boolean b)
    Deprecated.

  - ### genericMethodType

    public static MethodType genericMethodType(int a)
    Deprecated.

  - ### changeParameterType

    public MethodType changeParameterType(int a, Class<?> b)
    Deprecated.

  - ### insertParameterTypes

    public MethodType insertParameterTypes(int a, Class<?>... b)
    Deprecated.

  - ### appendParameterTypes

    public MethodType appendParameterTypes(Class<?>... a)
    Deprecated.

  - ### insertParameterTypes

    public MethodType insertParameterTypes(int a, List<Class<?>> b)
    Deprecated.

  - ### appendParameterTypes

    public MethodType appendParameterTypes(List<Class<?>> a)
    Deprecated.

  - ### dropParameterTypes

    public MethodType dropParameterTypes(int a, int b)
    Deprecated.

  - ### changeReturnType

    public MethodType changeReturnType(Class<?> a)
    Deprecated.

  - ### hasPrimitives

    public boolean hasPrimitives()
    Deprecated.

  - ### hasWrappers

    public boolean hasWrappers()
    Deprecated.

  - ### erase

    public MethodType erase()
    Deprecated.

  - ### generic

    public MethodType generic()
    Deprecated.

  - ### wrap

    public MethodType wrap()
    Deprecated.

  - ### unwrap

    public MethodType unwrap()
    Deprecated.

  - ### parameterType

    public Class<?> parameterType(int a)
    Deprecated.

  - ### parameterCount

    public int parameterCount()
    Deprecated.

  - ### returnType

    public Class<?> returnType()
    Deprecated.

  - ### parameterList

    public List<Class<?>> parameterList()
    Deprecated.

  - ### parameterArray

    public Class<?>[] parameterArray()
    Deprecated.